#!/usr/bin/env bash
[ -z $JQ ] && \
{	command -v gojq &> /dev/null && JQ=gojq;} || \
{	command -v jq &> /dev/null && JQ=jq;} || \
{	echo "No jq found."; exit 1;}


#thanks to anufrievroman for style (https://github.com/anufrievroman/polytiramisu/blob/9c0a039d8cd8b7066bccbbd237cd8939da66e1fb/polytiramisu.sh#L18)
tiramisu -j |

while read -r jsonData
do	timeout="$($JQ -r '.timeout' <<< $jsonData)"
	source="$($JQ -r '.source' <<< $jsonData)"
	summary="$($JQ -r '.summary' <<< $jsonData)"
	body="$($JQ -r '.body' <<< $jsonData)"
	grep "-" &>/dev/null <<< $timeout && export timeout=1
	herbe &> /dev/null || :
	timeout -s9 ${timeout}s herbe "$source" "$summary" $'\n' "$body"
done
